Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals

# vendor-xml.c File Reference

Vendor XML data file parsing. More...

`#include "config.h"`
`#include <sys/types.h>`
`#include <assert.h>`
`#include <limits.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <expat.h>`
`#include <discover/discover.h>`
`#include <discover/discover-xml.h>`
`#include <discover/load-url.h>`
`#include <discover/utils.h>`

Go to the source code of this file.

## Functions
void | discover_xml_merge_vendor_url (discover_xml_vendor_t **vlist, char *url, discover_error_t *status)
discover_xml_vendor_t * | discover_xml_get_vendors (discover_bus_t bus, discover_error_t *status)
void | discover_xml_free_vendors (void)
char * | discover_xml_vendor_id2name (discover_xml_vendor_t *vendors, char *id)
char * | discover_xml_vendor_get_id (discover_xml_vendor_t *vendor)
char * | discover_xml_vendor_get_name (discover_xml_vendor_t *vendor)
discover_xml_vendor_t * | discover_xml_vendor_get_next (discover_xml_vendor_t *vendor)
discover_xml_vendor_t * | discover_xml_vendor_new (void)
void | discover_xml_vendor_free (discover_xml_vendor_t *vendors)

## Detailed Description

Vendor XML data file parsing.

This file contains the routines needed to properly process the vendor XML data. This file is responsible for handling URLs and storing the XML data during the parsing process.

Definition in file vendor-xml.c.